Index: bootscripts/lfs/init.d/sysklogd
===================================================================
--- bootscripts/lfs/init.d/sysklogd	(revision 43c2ecf0b898e8dfaca243df6946522b5d49cda5)
+++ bootscripts/lfs/init.d/sysklogd	(revision 0cda8984a835f37a573c0e2eb31676ff52773d16)
@@ -1,57 +1,70 @@
 #!/bin/sh
 ########################################################################
-# Begin $rc_base/init.d/sysklogd
+# Begin sysklogd
 #
 # Description : Sysklogd loader
 #
 # Authors     : Gerard Beekmans - gerard@linuxfromscratch.org
+# Update      : Bruce Dubbs - bdubbs@linuxfromscratch.org
 #
-# Version     : 00.00
-#
-# Notes       :
+# Version     : LFS 7.0
 #
 ########################################################################
 
-. /etc/sysconfig/rc
-. ${rc_functions}
+### BEGIN INIT INFO
+# Provides:            $syslog
+# Required-Start:      localnet
+# Should-Start:
+# Required-Stop:       $local_fs sendsignals
+# Should-Stop:
+# Default-Start:       2 3 4 5
+# Default-Stop:        0 1 6
+# Short-Description:   Starts kernel and system log daemons.
+# Description:         Starts kernel and system log daemons.
+#                      /etc/fstab.
+# X-LFS-Provided-By:   LFS
+### END INIT INFO
+
+. /lib/boot/functions
 
 case "${1}" in
-	start)
-		boot_mesg "Starting system log daemon..."
-		loadproc syslogd -m 0
+   start)
+      boot_mesg "Starting system log daemon..."
+      PARMS=${SYSKLOGD_PARMS=-'-m 0'}
+      loadproc syslogd $PARMS
 
-		boot_mesg "Starting kernel log daemon..."
-		loadproc klogd
-		;;
+      boot_mesg "Starting kernel log daemon..."
+      loadproc klogd
+      ;;
 
-	stop)
-		boot_mesg "Stopping kernel log daemon..."
-		killproc klogd
+   stop)
+      boot_mesg "Stopping kernel log daemon..."
+      killproc klogd
 
-		boot_mesg "Stopping system log daemon..."
-		killproc syslogd
-		;;
+      boot_mesg "Stopping system log daemon..."
+      killproc syslogd
+      ;;
 
-	reload)
-		boot_mesg "Reloading system log daemon config file..."
-		reloadproc syslogd
-		;;
+   reload)
+      boot_mesg "Reloading system log daemon config file..."
+      reloadproc syslogd
+      ;;
 
-	restart)
-		${0} stop
-		sleep 1
-		${0} start
-		;;
+   restart)
+      ${0} stop
+      sleep 1
+      ${0} start
+      ;;
 
-	status)
-		statusproc syslogd
-		statusproc klogd
-		;;
+   status)
+      statusproc syslogd
+      statusproc klogd
+      ;;
 
-	*)
-		echo "Usage: ${0} {start|stop|reload|restart|status}"
-		exit 1
-		;;
+   *)
+      echo "Usage: ${0} {start|stop|reload|restart|status}"
+      exit 1
+      ;;
 esac
 
-# End $rc_base/init.d/sysklogd
+# End sysklogd
Index: bootscripts/lfs/init.d/template
===================================================================
--- bootscripts/lfs/init.d/template	(revision 43c2ecf0b898e8dfaca243df6946522b5d49cda5)
+++ bootscripts/lfs/init.d/template	(revision 0cda8984a835f37a573c0e2eb31676ff52773d16)
@@ -1,5 +1,5 @@
 #!/bin/sh
 ########################################################################
-# Begin $rc_base/init.d/
+# Begin scriptname
 #
 # Description :
@@ -7,5 +7,5 @@
 # Authors     :
 #
-# Version     : 00.00
+# Version     : LFS x.x
 #
 # Notes       :
@@ -13,38 +13,50 @@
 ########################################################################
 
-. /etc/sysconfig/rc
-. ${rc_functions}
+### BEGIN INIT INFO
+# Provides:            template
+# Required-Start:
+# Should-Start:
+# Required-Stop:
+# Should-Stop:
+# Default-Start:
+# Default-Stop:
+# Short-Description:
+# Description:
+# X-LFS-Provided-By:
+### END INIT INFO
+
+. /lib/boot/functions
 
 case "${1}" in
-	start)
-		boot_mesg "Starting..."
-		loadproc
-		;;
+   start)
+      boot_mesg "Starting..."
+      loadproc
+      ;;
 
-	stop)
-		boot_mesg "Stopping..."
-		killproc
-		;;
+   stop)
+      boot_mesg "Stopping..."
+      killproc
+      ;;
 
-	reload)
-		boot_mesg "Reloading..."
-		reloadproc
-		;;
+   reload)
+      boot_mesg "Reloading..."
+      reloadproc
+      ;;
 
-	restart)
-		${0} stop
-		sleep 1
-		${0} start
-		;;
+   restart)
+      ${0} stop
+      sleep 1
+      ${0} start
+      ;;
 
-	status)
-		statusproc
-		;;
+   status)
+      statusproc
+      ;;
 
-	*)
-		echo "Usage: ${0} {start|stop|reload|restart|status}"
-		exit 1
-		;;
+   *)
+      echo "Usage: ${0} {start|stop|reload|restart|status}"
+      exit 1
+      ;;
 esac
 
-# End $rc_base/init.d/
+# End scriptname
Index: bootscripts/lfs/init.d/udev
===================================================================
--- bootscripts/lfs/init.d/udev	(revision 43c2ecf0b898e8dfaca243df6946522b5d49cda5)
+++ bootscripts/lfs/init.d/udev	(revision 0cda8984a835f37a573c0e2eb31676ff52773d16)
@@ -1,83 +1,94 @@
 #!/bin/sh
 ########################################################################
-# Begin $rc_base/init.d/udev
+# Begin udev
 #
 # Description : Udev cold-plugging script
 #
 # Authors     : Zack Winkles, Alexander E. Patrakov
+# Update      : Bruce Dubbs - bdubbs@linuxfromscratch.org
 #
-# Version     : 00.02
-#
-# Notes       :
+# Version     : LFS 7.0
 #
 ########################################################################
 
-. /etc/sysconfig/rc
-. ${rc_functions}
+### BEGIN INIT INFO
+# Provides:            udev
+# Required-Start:
+# Should-Start:        modules
+# Required-Stop:
+# Should-Stop:
+# Default-Start:       S
+# Default-Stop:
+# Short-Description:   Populates /dev with device nodes.
+# Description:         Mounts a tempfs on /dev and starts the udevd daemon.
+#                      Device nodes are created as defined by udev.
+# X-LFS-Provided-By:   LFS
+### END INIT INFO
+
+. /lib/boot/functions
 
 case "${1}" in
-	start)
-		boot_mesg "Populating /dev with device nodes..."
-		if ! grep -q '[[:space:]]sysfs' /proc/mounts; then
-			echo_failure
-			boot_mesg -n "FAILURE:\n\nUnable to create" ${FAILURE}
-			boot_mesg -n " devices without a SysFS filesystem"
-			boot_mesg -n "\n\nAfter you press Enter, this system"
-			boot_mesg -n " will be halted and powered off."
-			boot_mesg -n "\n\nPress Enter to continue..." ${INFO}
-			boot_mesg "" ${NORMAL}
-			read ENTER
-			/etc/rc.d/init.d/halt stop
-		fi
+   start)
+      boot_mesg "Populating /dev with device nodes..."
+      if ! grep -q '[[:space:]]sysfs' /proc/mounts; then
+         echo_failure
+         boot_mesg -n "FAILURE:\n\nUnable to create" ${FAILURE}
+         boot_mesg -n " devices without a SysFS filesystem"
+         boot_mesg -n "\n\nAfter you press Enter, this system"
+         boot_mesg -n " will be halted and powered off."
+         boot_mesg -n "\n\nPress Enter to continue..." ${INFO}
+         boot_mesg "" ${NORMAL}
+         wait_for_user
+         /etc/rc.d/init.d/halt stop
+      fi
 
-		# Mount a temporary file system over /dev, so that any devices
-		# made or removed during this boot don't affect the next one.
-		# The reason we don't write to mtab is because we don't ever
-		# want /dev to be unavailable (such as by `umount -a').
-		if ! mountpoint /dev > /dev/null; then
-			mount -n -t tmpfs tmpfs /dev -o mode=755
-		fi
-		if [ ${?} != 0 ]; then
-			echo_failure
-			boot_mesg -n "FAILURE:\n\nCannot mount a tmpfs" ${FAILURE}
-			boot_mesg -n " onto /dev, this system will be halted."
-			boot_mesg -n "\n\nAfter you press Enter, this system"
-			boot_mesg -n " will be halted and powered off."
-			boot_mesg -n "\n\nPress Enter to continue..." ${INFO}
-			boot_mesg "" ${NORMAL}
-			read ENTER
-			/etc/rc.d/init.d/halt stop
-		fi
+      # Mount a temporary file system over /dev, so that any devices
+      # made or removed during this boot don't affect the next one.
+      # The reason we don't write to mtab is because we don't ever
+      # want /dev to be unavailable (such as by `umount -a').
+      if ! mountpoint /dev > /dev/null; then
+         mount -n -t tmpfs tmpfs /dev -o mode=755
+      fi
+      if [ ${?} != 0 ]; then
+         echo_failure
+         boot_mesg -n "FAILURE:\n\nCannot mount a tmpfs" ${FAILURE}
+         boot_mesg -n " onto /dev, this system will be halted."
+         boot_mesg -n "\n\nAfter you press Enter, this system"
+         boot_mesg -n " will be halted and powered off."
+         boot_mesg -n "\n\nPress Enter to continue..." ${INFO}
+         boot_mesg "" ${NORMAL}
+         wait_for_user
+         /etc/rc.d/init.d/halt stop
+      fi
 
-		ln -s /run/shm /dev/shm
+      ln -s /run/shm /dev/shm
 
-		# Udev handles uevents itself, so we don't need to have
-		# the kernel call out to any binary in response to them
-		echo > /proc/sys/kernel/hotplug
+      # Udev handles uevents itself, so we don't need to have
+      # the kernel call out to any binary in response to them
+      echo > /proc/sys/kernel/hotplug
 
-		# Copy the only static device node that Udev >= 155 doesn't
-		# handle to /dev
-		cp -a /lib/udev/devices/null /dev
+      # Copy the only static device node that Udev >= 155 doesn't
+      # handle to /dev
+      cp -a /lib/udev/devices/null /dev
 
-		# Start the udev daemon to continually watch for, and act on,
-		# uevents
-		/sbin/udevd --daemon
+      # Start the udev daemon to continually watch for, and act on,
+      # uevents
+      /sbin/udevd --daemon
 
-		# Now traverse /sys in order to "coldplug" devices that have
-		# already been discovered
-		/sbin/udevadm trigger --action=add --type=subsystems
-		/sbin/udevadm trigger --action=add --type=devices
+      # Now traverse /sys in order to "coldplug" devices that have
+      # already been discovered
+      /sbin/udevadm trigger --action=add --type=subsystems
+      /sbin/udevadm trigger --action=add --type=devices
 
-		# Now wait for udevd to process the uevents we triggered
-		/sbin/udevadm settle
-		evaluate_retval
+      # Now wait for udevd to process the uevents we triggered
+      /sbin/udevadm settle
+      evaluate_retval
+      ;;
 
-		;;
-
-	*)
-		echo "Usage ${0} {start}"
-		exit 1
-		;;
+   *)
+      echo "Usage ${0} {start}"
+      exit 1
+      ;;
 esac
 
-# End $rc_base/init.d/udev
+# End udev
Index: bootscripts/lfs/init.d/udev_retry
===================================================================
--- bootscripts/lfs/init.d/udev_retry	(revision 43c2ecf0b898e8dfaca243df6946522b5d49cda5)
+++ bootscripts/lfs/init.d/udev_retry	(revision 0cda8984a835f37a573c0e2eb31676ff52773d16)
@@ -1,45 +1,60 @@
 #!/bin/sh
 ########################################################################
-# Begin $rc_base/init.d/udev_retry
+# Begin udev_retry
 #
 # Description : Udev cold-plugging script (retry)
 #
 # Authors     : Alexander E. Patrakov
+# Update      : Bruce Dubbs - bdubbs@linuxfromscratch.org
 #
-# Version     : 00.02
-#
-# Notes       :
+# Version     : LFS 7.0
 #
 ########################################################################
 
-. /etc/sysconfig/rc
-. ${rc_functions}
+### BEGIN INIT INFO
+# Provides:            udev_retry
+# Required-Start:      udev
+# Should-Start:        $local_fs
+# Required-Stop:
+# Should-Stop:
+# Default-Start:       S
+# Default-Stop:
+# Short-Description:   Replays failed uevents and creates additonal devices.
+# Description:         Replays any failed uevents that were skipped due to
+#                      slow hardware initialization, and creates those needed
+#                      device nodes
+# X-LFS-Provided-By:   LFS
+### END INIT INFO
+
+. /lib/boot/functions
 
 case "${1}" in
-	start)
-		boot_mesg "Retrying failed uevents, if any..."
+   start)
+      boot_mesg "Retrying failed uevents, if any..."
 
-		# From Debian: "copy the rules generated before / was mounted
-		# read-write":
-		for file in /dev/.udev/tmp-rules--*; do
-			dest=${file##*tmp-rules--}
-			[ "$dest" = '*' ] && break
-			cat $file >> /etc/udev/rules.d/$dest
-			rm -f $file
-		done
+      RUNDIR=$(/sbin/udevadm info --run)
+      # From Debian: "copy the rules generated before / was mounted
+      # read-write":
+    
+      for file in ${RUNDIR}/tmp-rules--*; do
+         dest=${file##*tmp-rules--}
+         [ "$dest" = '*' ] && break
+         cat $file >> /etc/udev/rules.d/$dest
+         rm -f $file
+      done
 
-		# Re-trigger the failed uevents in hope they will succeed now
-		/sbin/udevadm trigger --type=failed --action=add
-		
-		# Now wait for udevd to process the uevents we triggered
-		/sbin/udevadm settle
-		evaluate_retval
-		;;
+      # Re-trigger the failed uevents in hope they will succeed now
+      /sbin/udevadm trigger --type=failed --action=add
 
-	*)
-		echo "Usage ${0} {start}"
-		exit 1
-		;;
+      # Now wait for udevd to process the uevents we triggered
+      /sbin/udevadm settle
+      evaluate_retval
+      ;;
+
+   *)
+      echo "Usage ${0} {start}"
+      exit 1
+      ;;
 esac
 
-# End $rc_base/init.d/udev_retry
+# End udev_retry
Index: bootscripts/lfs/sysconfig/network-devices/ifdown
===================================================================
--- bootscripts/lfs/sysconfig/network-devices/ifdown	(revision 43c2ecf0b898e8dfaca243df6946522b5d49cda5)
+++ bootscripts/lfs/sysconfig/network-devices/ifdown	(revision 0cda8984a835f37a573c0e2eb31676ff52773d16)
@@ -1,5 +1,5 @@
 #!/bin/sh
 ########################################################################
-# Begin $network_devices/ifdown
+# Begin /sbin/ifdown
 #
 # Description : Interface Down
@@ -7,89 +7,60 @@
 # Authors     : Nathan Coulson - nathan@linuxfromscratch.org
 #               Kevin P. Fleming - kpfleming@linuxfromscratch.org
+# Update      : Bruce Dubbs - bdubbs@linuxfromscratch.org
 #
-# Version     : 00.01
+# Version     : LFS 7.0
 #
 # Notes       : the IFCONFIG variable is passed to the scripts found
-#               in the services directory, to indicate what file the
+#               in the /lib/boot directory, to indicate what file the
 #               service should source to get environmental variables.
 #
 ########################################################################
 
-. /etc/sysconfig/rc 
-. ${rc_functions} 
+file=/etc/sysconfig/ifconfig.${1}
 
-# Collect a list of configuration files for our interface
-if [ -n "${2}" ]; then
-	for file in ${@#$1}; do # All parameters except $1
-		FILES="${FILES} ${network_devices}/ifconfig.${1}/${file}"
-	done
-elif [ -d "${network_devices}/ifconfig.${1}" ]; then
-	FILES=`echo ${network_devices}/ifconfig.${1}/*`
-else
-	FILES="${network_devices}/ifconfig.${1}"
+# Skip backup files
+[ "${file}" = "${file%""~""}" ] || exit 0
+
+. /lib/boot/functions 
+
+if [ ! -r "${file}" ]; then
+   boot_mesg "${file} is missing or cannot be accessed." ${WARNING}
+   echo_warning
+   exit 1
 fi
 
-# Reverse the order configuration files are processed in
-for file in ${FILES}; do
-	FILES2="${file} ${FILES2}"
-done
-FILES=${FILES2}
+. ${file}
 
-# Process each configuration file
-for file in ${FILES}; do
-	# skip backup files
-	if [ "${file}" != "${file%""~""}" ]; then
-		continue
-	fi
-
-	if [ ! -f "${file}" ]; then
-		boot_mesg "${file} is not a network configuration file or directory." ${WARNING}
-		echo_warning
-		continue
-	fi
-	(
-		. ${file}
-
-		# Will not process this service if started by boot, and ONBOOT
-		# is not set to yes
-		if [ "${IN_BOOT}" = "1" -a "${ONBOOT}" != "yes" ]; then
-			continue
-		fi
-
-		# Will not process this service if started by hotplug, and 
-		# ONHOTPLUG is not set to yes
-		if [ "${IN_HOTPLUG}" = "1" -a "${ONHOTPLUG}" != "yes" ]; then
-			continue
-		fi
-	
-		# This will run the service script, if SERVICE is set
-		if [ -n "${SERVICE}" -a -x "${network_devices}/services/${SERVICE}" ]; then
-			if ip link show ${1} > /dev/null 2>&1
-			then
-				IFCONFIG=${file} ${network_devices}/services/${SERVICE} ${1} down
-			else
-				boot_mesg "Interface ${1} doesn't exist." ${WARNING}
-				echo_warning
-			fi
-		else
-			boot_mesg -n "Unable to process ${file}.  Either" ${FAILURE}
-			boot_mesg -n " the SERVICE variable was not set,"
-			boot_mesg " or the specified service cannot be executed."
-			echo_failure
-			continue
-		fi
-	)
-done
-
-if [ -z "${2}" ]; then
-	link_status=`ip link show $1 2>/dev/null`
-	if [ -n "${link_status}" ]; then
-		if echo "${link_status}" | grep -q UP; then
-			boot_mesg "Bringing down the ${1} interface..."
-			ip link set ${1} down
-			evaluate_retval
-		fi
-	fi
+if [ "$IFACE" = "" ]; then
+   boot_mesg "${file} does not define an interface [IFACE]." ${FAILURE}
+   echo_failure
+   exit 1
 fi
 
-# End $network_devices/ifdown
+# This will run the service script, if SERVICE is set
+if [ -n "${SERVICE}" -a -x "/lib/boot/${SERVICE}" ]; then
+   if ip link show ${IFACE} > /dev/null 2>&1; then
+      IFCONFIG=${file} /lib/boot/${SERVICE} ${IFACE} down
+   else
+      boot_mesg "Interface ${1} doesn't exist." ${WARNING}
+      echo_warning
+   fi
+else
+   boot_mesg "Unable to process ${file}.  Either" ${FAILURE}
+   boot_mesg "the SERVICE variable was not set"
+   boot_mesg "or the specified service cannot be executed."
+   echo_failure
+   exit 1
+fi
+
+link_status=`ip link show ${IFACE} 2>/dev/null`
+
+if [ -n "${link_status}" ]; then
+   if echo "${link_status}" | grep -q UP; then
+      boot_mesg "Bringing down the ${IFACE} interface..."
+      ip link set ${IFACE} down
+      evaluate_retval
+   fi
+fi
+
+# End /sbin/ifdown
Index: bootscripts/lfs/sysconfig/network-devices/ifup
===================================================================
--- bootscripts/lfs/sysconfig/network-devices/ifup	(revision 43c2ecf0b898e8dfaca243df6946522b5d49cda5)
+++ bootscripts/lfs/sysconfig/network-devices/ifup	(revision 0cda8984a835f37a573c0e2eb31676ff52773d16)
@@ -1,5 +1,5 @@
 #!/bin/sh
 ########################################################################
-# Begin $network_devices/ifup
+# Begin /sbin/ifup
 #
 # Description : Interface Up
@@ -7,84 +7,76 @@
 # Authors     : Nathan Coulson - nathan@linuxfromscratch.org
 #               Kevin P. Fleming - kpfleming@linuxfromscratch.org
+# Update      : Bruce Dubbs - bdubbs@linuxfromscratch.org
 #
-# Version     : 00.00
+# Version     : LFS 7.0
 #
-# Notes       : the IFCONFIG variable is passed to the scripts found
-#               in the services directory, to indicate what file the
+# Notes       : The IFCONFIG variable is passed to the SERVICE script
+#               in the /lib/boot directory, to indicate what file the
 #               service should source to get environmental variables.
 #
 ########################################################################
 
-. /etc/sysconfig/rc 
-. ${rc_functions} 
+file=/etc/sysconfig/ifconfig.${1}
 
-# Collect a list of configuration files for our interface
-if [ -n "${2}" ]; then
-	for file in ${@#$1} # All parameters except $1
-  do
-		FILES="${FILES} ${network_devices}/ifconfig.${1}/${file}"
-	done
-elif [ -d "${network_devices}/ifconfig.${1}" ]; then
-	FILES=`echo ${network_devices}/ifconfig.${1}/*`
-else 
-	FILES="${network_devices}/ifconfig.${1}"
-fi
+# Skip backup files
+[ "${file}" = "${file%""~""}" ] || exit 0
+
+. /lib/boot/functions
 
 boot_mesg "Bringing up the ${1} interface..."
 boot_mesg_flush
 
-# Process each configruation file
-for file in ${FILES}; do
-	# skip backup files
-	if [ "${file}" != "${file%""~""}" ]; then
-		continue
-	fi
+if [ ! -r "${file}" ]; then
+   boot_mesg "${file} is missing or cannot be accessed." ${WARNING}
+   echo_warning
+   exit 1
+fi
 
-	if [ ! -f "${file}" ]; then
-		boot_mesg "${file} is not a network configuration file or directory." ${WARNING}
-		echo_warning
-		continue
-	fi
+. $file
 
-	(
-		. ${file}
+if [ "$IFACE" = "" ]; then
+   boot_mesg "${file} does not define an interface [IFACE]." ${FAILURE}
+   echo_failure
+   exit 1
+fi
 
-		# Will not process this service if started by boot, and ONBOOT
-		# is not set to yes
-		if [ "${IN_BOOT}" = "1" -a "${ONBOOT}" != "yes" ]; then
-			continue
-		fi
-		# Will not process this service if started by hotplug, and 
-		# ONHOTPLUG is not set to yes
-		if [ "${IN_HOTPLUG}" = "1" -a "${ONHOTPLUG}" != "yes" \
-                    -a "${HOSTNAME}" != "(none)" ]; then continue
-		fi
+# Do not process this service if started by boot, and ONBOOT
+# is not set to yes
+if [ "${IN_BOOT}" = "1" -a "${ONBOOT}" != "yes" ]; then
+   echo_skipped
+   exit 0
+fi
 
-		if [ -n "${SERVICE}" -a -x "${network_devices}/services/${SERVICE}" ]; then
-			if [ -z "${CHECK_LINK}" -o "${CHECK_LINK}" = "y" \
-                            -o "${CHECK_LINK}" = "yes" -o "${CHECK_LINK}" = "1" ]; then
-				if ip link show ${1} > /dev/null 2>&1; then
-					link_status=`ip link show ${1}`
-					if [ -n "${link_status}" ]; then
-						if ! echo "${link_status}" | grep -q UP; then
-							ip link set ${1} up
-						fi
-					fi
-				else
-					boot_mesg "Interface ${1} doesn't exist." ${WARNING}
-					echo_warning
-					continue
-				fi
-			fi
-			IFCONFIG=${file} ${network_devices}/services/${SERVICE} ${1} up
-		else
-			boot_mesg "Unable to process ${file}.  Either" ${FAILURE}
-			boot_mesg " the SERVICE variable was not set,"
-			boot_mesg " or the specified service cannot be executed."
-			echo_failure
-			continue
-		fi
-	)
-done
+if [ -n "${SERVICE}" -a -x "/lib/boot/${SERVICE}" ]; then
+   if [ -z "${CHECK_LINK}"         -o \
+           "${CHECK_LINK}" = "y"   -o \
+           "${CHECK_LINK}" = "yes" -o \
+           "${CHECK_LINK}" = "1" ]; then
 
-# End $network_devices/ifup
+      #  Bring up the interface
+      if ip link show ${IFACE} > /dev/null 2>&1; then
+         link_status=`ip link show ${IFACE}`
+
+         if [ -n "${link_status}" ]; then
+            if ! echo "${link_status}" | grep -q UP; then
+               ip link set ${IFACE} up
+            fi
+         fi
+
+      else
+         boot_mesg "Interface ${IFACE} doesn't exist." ${WARNING}
+         echo_warning
+      fi
+   fi
+
+   IFCONFIG=${file} /lib/boot/${SERVICE} ${IFACE} up
+
+else
+   boot_mesg "Unable to process ${file}.  Either" ${FAILURE}
+   boot_mesg "the SERVICE variable was not set"
+   boot_mesg "or the specified service cannot be executed."
+   echo_failure
+   exit 1
+fi
+
+# End /sbin/ifup
Index: bootscripts/lfs/sysconfig/network-devices/services/ipv4-static
===================================================================
--- bootscripts/lfs/sysconfig/network-devices/services/ipv4-static	(revision 43c2ecf0b898e8dfaca243df6946522b5d49cda5)
+++ bootscripts/lfs/sysconfig/network-devices/services/ipv4-static	(revision 0cda8984a835f37a573c0e2eb31676ff52773d16)
@@ -1,82 +1,83 @@
 #!/bin/sh
 ########################################################################
-# Begin $network_devices/services/ipv4-static
+# Begin /lib/boot/ipv4-static
 #
 # Description : IPV4 Static Boot Script
 #
 # Authors     : Nathan Coulson - nathan@linuxfromscratch.org
-#		Kevin P. Fleming - kpfleming@linuxfromscratch.org
+#               Kevin P. Fleming - kpfleming@linuxfromscratch.org
+# Update      : Bruce Dubbs - bdubbs@linuxfromscratch.org
 #
-# Version     : 00.00
-#
-# Notes       :
+# Version     : LFS 7.0
 #
 ########################################################################
 
-. /etc/sysconfig/rc 
-. ${rc_functions} 
+. /lib/boot/functions
 . ${IFCONFIG}
 
 if [ -z "${IP}" ]; then
-	boot_mesg "IP variable missing from ${IFCONFIG}, cannot continue." ${FAILURE}
-	echo_failure
-	exit 1
+   boot_mesg "IP variable missing from ${IFCONFIG}, cannot continue." ${FAILURE}
+   echo_failure
+   exit 1
 fi
 
 if [ -z "${PREFIX}" -a -z "${PEER}" ]; then
-	boot_mesg -n "PREFIX variable missing from ${IFCONFIG}," ${WARNING}
-	boot_mesg " assuming 24."
-	echo_warning
-	PREFIX=24
-	args="${args} ${IP}/${PREFIX}"
+   boot_mesg -n "PREFIX variable missing from ${IFCONFIG}," ${WARNING}
+   boot_mesg " assuming 24."
+   echo_warning
+   PREFIX=24
+   args="${args} ${IP}/${PREFIX}"
+
 elif [ -n "${PREFIX}" -a -n "${PEER}" ]; then
-	boot_mesg "PREFIX and PEER both specified in ${IFCONFIG}, cannot continue." ${FAILURE}
-	echo_failure
-	exit 1
+   boot_mesg "PREFIX and PEER both specified in ${IFCONFIG}, cannot continue." ${FAILURE}
+   echo_failure
+   exit 1
+
 elif [ -n "${PREFIX}" ]; then
-	args="${args} ${IP}/${PREFIX}"
+   args="${args} ${IP}/${PREFIX}"
+
 elif [ -n "${PEER}" ]; then
-	args="${args} ${IP} peer ${PEER}"
+   args="${args} ${IP} peer ${PEER}"
 fi
 
 if [ -n "${BROADCAST}" ]; then
-	args="${args} broadcast ${BROADCAST}"
+   args="${args} broadcast ${BROADCAST}"
 fi
 
 case "${2}" in
-	up)
-		boot_mesg "Adding IPv4 address ${IP} to the ${1} interface..."
-		ip addr add ${args} dev ${1}
-		evaluate_retval
-	
-		if [ -n "${GATEWAY}" ]; then
-			if ip route | grep -q default; then
-				boot_mesg "Gateway already setup; skipping." ${WARNING}
-				echo_warning
-			else
-				boot_mesg "Setting up default gateway..."
-				ip route add default via ${GATEWAY} dev ${1}
-				evaluate_retval
-			 fi
-		fi
-	;;
-	
-	down)
-		if [ -n "${GATEWAY}" ];	then
-			boot_mesg "Removing default gateway..."
-			ip route del default
-			evaluate_retval
-		fi
-	
-		boot_mesg "Removing IPv4 address ${IP} from the ${1} interface..."
-		ip addr del ${args} dev ${1}
-		evaluate_retval
-	;;
-	
-	*)
-		echo "Usage: ${0} [interface] {up|down}"
-		exit 1
-	;;
+   up)
+      boot_mesg "Adding IPv4 address ${IP} to the ${1} interface..."
+      ip addr add ${args} dev ${1}
+      evaluate_retval
+
+      if [ -n "${GATEWAY}" ]; then
+         if ip route | grep -q default; then
+            boot_mesg "Gateway already setup; skipping." ${WARNING}
+            echo_warning
+         else
+            boot_mesg "Setting up default gateway..."
+            ip route add default via ${GATEWAY} dev ${1}
+            evaluate_retval
+          fi
+      fi
+   ;;
+
+   down)
+      if [ -n "${GATEWAY}" ]; then
+         boot_mesg "Removing default gateway..."
+         ip route del default
+         evaluate_retval
+      fi
+
+      boot_mesg "Removing IPv4 address ${IP} from the ${1} interface..."
+      ip addr del ${args} dev ${1}
+      evaluate_retval
+   ;;
+
+   *)
+      echo "Usage: ${0} [interface] {up|down}"
+      exit 1
+   ;;
 esac
 
-# End $network_devices/services/ipv4-static
+# End /lib/boot/ipv4-static
Index: bootscripts/lfs/sysconfig/network-devices/services/ipv4-static-route
===================================================================
--- bootscripts/lfs/sysconfig/network-devices/services/ipv4-static-route	(revision 43c2ecf0b898e8dfaca243df6946522b5d49cda5)
+++ bootscripts/lfs/sysconfig/network-devices/services/ipv4-static-route	(revision 0cda8984a835f37a573c0e2eb31676ff52773d16)
@@ -1,73 +1,71 @@
 #!/bin/sh
 ########################################################################
-# Begin $network_devices/services/ipv4-static-route
+# Begin /lib/boot/ipv4-static-route
 #
 # Description : IPV4 Static Route Script
 #
 # Authors     : Kevin P. Fleming - kpfleming@linuxfromscratch.org
+# Update      : Bruce Dubbs - bdubbs@linuxfromscratch.org
 #
-# Version     : 00.00
-#
-# Notes       :
+# Version     : LFS 7.0
 #
 ########################################################################
 
-. /etc/sysconfig/rc 
-. ${rc_functions} 
+. /lib/boot/functions
 . ${IFCONFIG}
 
 case "${TYPE}" in
-	("" | "network")
-		need_ip=1
-		need_gateway=1
-	;;
+   ("" | "network")
+      need_ip=1
+      need_gateway=1
+   ;;
 
-	("default")
-		need_gateway=1
-		args="${args} default"
-		desc="default"
-	;;
+   ("default")
+      need_gateway=1
+      args="${args} default"
+      desc="default"
+   ;;
 
-	("host")
-		need_ip=1
-	;;
+   ("host")
+      need_ip=1
+   ;;
 
-	("unreachable")
-		need_ip=1
-		args="${args} unreachable"
-		desc="unreachable "
-	;;
+   ("unreachable")
+      need_ip=1
+      args="${args} unreachable"
+      desc="unreachable "
+   ;;
 
-	(*)
-		boot_mesg "Unknown route type (${TYPE}) in ${IFCONFIG}, cannot continue." ${FAILURE}
-		echo_failure
-		exit 1
-	;;
+   (*)
+      boot_mesg "Unknown route type (${TYPE}) in ${IFCONFIG}, cannot continue." ${FAILURE}
+      echo_failure
+      exit 1
+   ;;
 esac
 
 if [ -n "${need_ip}" ]; then
-	if [ -z "${IP}" ]; then
-		boot_mesg "IP variable missing from ${IFCONFIG}, cannot continue." ${FAILURE}
-		echo_failure
-		exit 1
-	fi
+   if [ -z "${IP}" ]; then
+      boot_mesg "IP variable missing from ${IFCONFIG}, cannot continue." ${FAILURE}
+      echo_failure
+      exit 1
+   fi
 
-	if [ -z "${PREFIX}" ]; then
-		boot_mesg "PREFIX variable missing from ${IFCONFIG}, cannot continue." ${FAILURE}
-		echo_failure
-		exit 1
-	fi
-	
-	args="${args} ${IP}/${PREFIX}"
-	desc="${desc}${IP}/${PREFIX}"
+   if [ -z "${PREFIX}" ]; then
+      boot_mesg "PREFIX variable missing from ${IFCONFIG}, cannot continue." ${FAILURE}
+      echo_failure
+      exit 1
+   fi
+   
+   args="${args} ${IP}/${PREFIX}"
+   desc="${desc}${IP}/${PREFIX}"
 fi
 
 if [ -n "${need_gateway}" ]; then
-	if [ -z "${GATEWAY}" ]; then
-		boot_mesg "GATEWAY variable missing from ${IFCONFIG}, cannot continue." ${FAILURE}
-		echo_failure
-		exit 1
-	fi
-	args="${args} via ${GATEWAY}"
+   if [ -z "${GATEWAY}" ]; then
+      boot_mesg "GATEWAY variable missing from ${IFCONFIG}, cannot continue." ${FAILURE}
+      echo_failure
+      exit 1
+   fi
+   args="${args} via ${GATEWAY}"
 fi
 
@@ -77,21 +75,21 @@
 
 case "${2}" in
-	up)
-		boot_mesg "Adding '${desc}' route to the ${1} interface..."
-		ip route add ${args} dev ${1}
-		evaluate_retval
-	;;
-	
-	down)
-		boot_mesg "Removing '${desc}' route from the ${1} interface..."
-		ip route del ${args} dev ${1}
-		evaluate_retval
-	;;
-	
-	*)
-		echo "Usage: ${0} [interface] {up|down}"
-		exit 1
-	;;
+   up)
+      boot_mesg "Adding '${desc}' route to the ${1} interface..."
+      ip route add ${args} dev ${1}
+      evaluate_retval
+   ;;
+   
+   down)
+      boot_mesg "Removing '${desc}' route from the ${1} interface..."
+      ip route del ${args} dev ${1}
+      evaluate_retval
+   ;;
+   
+   *)
+      echo "Usage: ${0} [interface] {up|down}"
+      exit 1
+   ;;
 esac
 
-# End $network_devices/services/ipv4-static-route
+# End /bib/boot/ipv4-static-route
